Python
import requests
url = "https://app.langwatch.ai/api/suites/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/suites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/suites/{id} \
--header 'X-Auth-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"scenarioIds": [
"<string>"
],
"targets": [
{
"referenceId": "<string>"
}
],
"repeatCount": 123,
"labels": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"platformUrl": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Suites
Get a suite
Get a suite (run plan) by its ID
GET
/
api
/
suites
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/suites/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/suites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/suites/{id} \
--header 'X-Auth-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"scenarioIds": [
"<string>"
],
"targets": [
{
"referenceId": "<string>"
}
],
"repeatCount": 123,
"labels": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"platformUrl": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Response
Success
Was this page helpful?
⌘I